org.apache.struts2.dispatcher

## Class Parameter.Request

- java.lang.Object
- - org.apache.struts2.dispatcher.Parameter.Request

- All Implemented Interfaces:
    Parameter
  Direct Known Subclasses:
    Parameter.File
  Enclosing interface:
    Parameter

      public static class Parameter.Request
      extends Object
      implements Parameter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.struts2.dispatcher.Parameter

      `Parameter.Empty, Parameter.File, Parameter.Request`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(String name, Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getMultipleValues()`
    `String` | `getName()`
    `Object` | `getObject()`
    `String` | `getValue()`
    `boolean` | `isDefined()`
    `boolean` | `isMultiple()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request(String name,
                         Object value)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Parameter`

    - #### getValue

          public String getValue()

      Specified by:
        `getValue` in interface `Parameter`

    - #### isDefined

          public boolean isDefined()

      Specified by:
        `isDefined` in interface `Parameter`

    - #### isMultiple

          public boolean isMultiple()

      Specified by:
        `isMultiple` in interface `Parameter`

    - #### getMultipleValues

          public String[] getMultipleValues()

      Specified by:
        `getMultipleValues` in interface `Parameter`

    - #### getObject

          public Object getObject()

      Specified by:
        `getObject` in interface `Parameter`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.